This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 781988 - Clarify usage of acknowledge-mode on jms-message-filter
Clarify usage of acknowledge-mode on jms-message-filter
Status: ASSIGNED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: doc-ESB_Programmers_Guide (Show other bugs)
5.2.0 GA
Unspecified Unspecified
high Severity medium
: ---
: FUTURE
Assigned To: soa-docs@redhat.com
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 04:25 EST by Martin Weiler
Modified: 2015-07-22 23:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3740 Major Open Clarify usage of acknowledge-mode on jms-message-filter 2015-06-25 08:15:06 EDT

  None (edit)
Description Martin Weiler 2012-01-16 04:25:53 EST
Description of problem:
The ESB Programmers Guide [1] only states that CLIENT_ACKNOWLEDGE mode can be set on the jms-message-filter configuration, but does not talk about the resulting
behavior, or about any restrictions.

The docs should be more clear about 
- the resulting behavior if different ack modes are used
- any restrictions that apply, such as not using CLIENT_ACKNOWLEDGE mode on non-gateway queues using jms-provider
- which providers these settings apply to (jms-provider, jms-jca-provider)
Comment 1 Rick Wagner 2012-03-19 17:46:35 EDT
GSS sees high value in making JMS interactions more easily comprehendable.  Please consider this a 'high' priority.

Note You need to log in before you can comment on or make changes to this bug.